Closed Bug 953578 Opened 7 years ago Closed 7 years ago

Zoom level should be saved in preferences

Categories

(Instantbird :: Conversation, enhancement)

enhancement
Not set
normal

Tracking

(Not tracked)

RESOLVED FIXED

People

(Reporter: romain, Assigned: romain)

References

Details

Attachments

(1 file, 3 obsolete files)

*** Original post on bio 132 at 2008-09-28 17:02:00 UTC ***

The idea is to save the zoom level made by Ctrl + "+", Ctrl + "-", and Ctrl + mouse wheel.

We could also allow Ctrl + Shift + wheel for zoom that will not be saved in preferences.

By the way, it should not be hard to implement.
Depends on: 953535
Attached patch Alpha Patch (obsolete) — Splinter Review
*** Original post on bio 132 as attmnt 118 at 2008-10-12 11:49:00 UTC ***

Not a priority for the moment, so I give up.

- Using ZoomManager: http://mxr.mozilla.org/mozilla-central/source/toolkit/content/viewZoomOverlay.js

- Inspirated from: http://mxr.mozilla.org/mozilla-central/source/browser/base/content/browser-textZoom.js

- Big problem with the object, and handleEvent method, cannot make it work at the moment, the solution may be the direct preprocessor inclusion in browser.js (http://mxr.mozilla.org/mozilla-central/source/browser/base/content/browser.js#5911).

We need to discuss on the name of the preference: "conversation.zoomLevel" sounds bad.
Target Milestone: 0.2a1 → 0.2
Attached patch Proposed patch (obsolete) — Splinter Review
*** Original post on bio 132 as attmnt 204 at 2009-08-19 14:55:00 UTC ***

What changed:
- Fixing a lot of bugs on the last attachment
- Make it work for multiple tabs.
- Clean the code
- "zoomLevel" is fine :p

FullZoom acts as an intermediate between ZoomManager and user action.
It also sets an observer on the preference and apply the changes in real time.

When the zoom value is changed, the current tab is the only one updated, to prevent a potential freeze in case there are a lot of tabs.

When an other tab is selected, the Zoom value is reapplied (even if it hasn't changed).
This behavior is intended, set the same value is faster than checking if the value has changed, so we shouldn't matter about it.

Buddy specific zoom has been dropped, because right now there is no proper way to have an unique ID for each buddy (and we don't need this feature until we implement HTML messages I guess).

A current problem is that I didn't know how to declare the License, since the original code is Mozilla's, so I put Mozilla and its contributors, as the original developers, and me as an additional contributor.

Tested with GNU/Linux and also with BIG conversations to check performances.
Attachment #8351948 - Flags: review?(florian)
Comment on attachment 8351862 [details] [diff] [review]
Alpha Patch

*** Original change on bio 132 attmnt 118 at 2009-08-19 14:55:28 UTC was without comment, so any subsequent comment numbers will be shifted ***
Attachment #8351862 - Attachment is obsolete: true
Assignee: nobody → romain
Status: NEW → ASSIGNED
Attached patch Patch V3 (obsolete) — Splinter Review
*** Original post on bio 132 as attmnt 228 at 2009-08-29 17:07:00 UTC ***

I couldn't prevent myself from removing the ugly tabulation ...
Attachment #8351972 - Flags: review?(florian)
Comment on attachment 8351948 [details] [diff] [review]
Proposed patch

*** Original change on bio 132 attmnt 204 at 2009-08-29 17:07:47 UTC was without comment, so any subsequent comment numbers will be shifted ***
Attachment #8351948 - Attachment is obsolete: true
Attachment #8351948 - Flags: review?(florian)
Attached patch Patch V4Splinter Review
*** Original post on bio 132 as attmnt 229 at 2009-08-29 20:55:00 UTC ***

Removed the changes made to mozconfig, and changed the license header.
Attachment #8351973 - Flags: review?(florian)
Comment on attachment 8351972 [details] [diff] [review]
Patch V3

*** Original change on bio 132 attmnt 228 at 2009-08-29 20:55:05 UTC was without comment, so any subsequent comment numbers will be shifted ***
Attachment #8351972 - Attachment is obsolete: true
Attachment #8351972 - Flags: review?(florian)
Comment on attachment 8351973 [details] [diff] [review]
Patch V4

*** Original change on bio 132 attmnt 229 at 2009-08-29 21:58:37 UTC ***

r=me with the default value of the preference added to all-instantbird.js, the _removePref method removed and it's single call replaced with a call to clearUserPref.
Attachment #8351973 - Flags: review?(florian) → review+
*** Original post on bio 132 at 2009-08-30 00:46:04 UTC ***

Pushed as:
http://hg.instantbird.org/instantbird/rev/2211adb86cb8

And a follow up at:
http://hg.instantbird.org/instantbird/rev/ca169a9b9195
Status: ASSIGNED → RESOLVED
Closed: 7 years ago
Resolution: --- → FIXED
Target Milestone: 0.2 → 0.2b1
You need to log in before you can comment on or make changes to this bug.